Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
YYSTYPE Union Reference

`#include <parse.h>`

## Data Fields
VALUE | val
NODE * | node
ID | id
int | num
st_table * | tbl
const struct vtable * | vars
struct rb_strterm_struct * | strterm

## Detailed Description

Definition at line 174 of file parse.h.

## Field Documentation

## ◆ id

ID YYSTYPE::id

Definition at line 179 of file parse.h.

## ◆ node

NODE* YYSTYPE::node

Definition at line 178 of file parse.h.

## ◆ num

int YYSTYPE::num

Definition at line 180 of file parse.h.

## ◆ strterm

struct rb_strterm_struct* YYSTYPE::strterm

Definition at line 183 of file parse.h.

## ◆ tbl

st_table* YYSTYPE::tbl

Definition at line 181 of file parse.h.

## ◆ val

VALUE YYSTYPE::val

Definition at line 177 of file parse.h.

## ◆ vars

const struct vtable* YYSTYPE::vars

Definition at line 182 of file parse.h.

The documentation for this union was generated from the following file:

- parse.h